## org.eclipse.datatools.sqltools.sqlbuilder.views.update
Class UpdateTreeViewer.UpdateTreeLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.datatools.sqltools.sqlbuilder.views.update.UpdateTreeViewer.UpdateTreeLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

Enclosing class:
  UpdateTreeViewer

    public class UpdateTreeViewer.UpdateTreeLabelProvider

extends org.eclipse.jface.viewers.LabelProvider
implements org.eclipse.jface.viewers.ITableLabelProvider

Update grid label provider

Constructor Summary
`UpdateTreeViewer.UpdateTreeLabelProvider()`

Method Summary
`org.eclipse.swt.graphics.Image` `getColumnImage(java.lang.Object object, int columnIndex)`
`java.lang.String` `getColumnText(java.lang.Object object, int columnIndex)`

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`getImage, getText`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### UpdateTreeViewer.UpdateTreeLabelProvider

    public UpdateTreeViewer.UpdateTreeLabelProvider()

Method Detail

### getColumnText

    public java.lang.String getColumnText(java.lang.Object object,
                                          int columnIndex)

  Specified by:
    `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

### getColumnImage

    public org.eclipse.swt.graphics.Image getColumnImage(java.lang.Object object,
                                                         int columnIndex)

  Specified by:
    `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`